View Issue Details

IDProjectCategoryView StatusLast Update
0007296CentOS-7kernelpublic2014-07-09 17:41
Reporteratar Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
OSCentOS OS Version7 
Summary0007296: Support for 3c59x network card regression
DescriptionSupport for some network cards was removed from the upstream kernels. It would be nice to get it back. The 3c59x cards can still be used for instance to connect to a DSL-modem, upgrading a 100Mbit NIC to a faster one would give no benefits in this use case.
Steps To Reproduce1. Boot CentOS 6.5, the 3c59x network cards are supported.
2. Boot CentOS 7 prerelease with kernel-plus-3.10.0-123.el7.centos.plus.x86_64, the driver is missing.
TagsNo tags attached.
abrt_hash
URL

Activities

tigalch

tigalch

2014-07-04 16:08

manager   ~0020180

Could you please post your request to the people of ELrepo? Adding the driver might get considered there. The URL is http://elrepo.org/bugs/view_all_bug_page.php
tigalch

tigalch

2014-07-04 20:01

manager   ~0020183

maybe also possible with the plus kernel?
toracat

toracat

2014-07-05 16:52

manager   ~0020185

Will try to enable the driver in the plus kernel.
toracat

toracat

2014-07-06 01:03

manager   ~0020193

The 3c59x driver is now enabled in kernel-plus-3.10.0-123.el7.centos.plus (7.0 GA).
atar

atar

2014-07-07 11:22

reporter   ~0020203

Is the 7.0 GA kernel available for testing? On the c7-plus site (http://buildlogs.centos.org/c7-plus/kernel-plus/) I see only the version from 24.06.2014.
JohnnyHughes

JohnnyHughes

2014-07-07 16:29

administrator   ~0020204

http://buildlogs.centos.org/c7-plus/kernel-plus/201407070923/
toracat

toracat

2014-07-07 16:30

manager   ~0020205

It's coming. Will be released very soon. But if you cannot wait, there is an unsigned copy here:

http://buildlogs.centos.org/c7-plus/kernel-plus/201407070923/
toracat

toracat

2014-07-07 16:34

manager   ~0020206

Two replies are better than none. ;-)
atar

atar

2014-07-09 17:39

reporter   ~0020322

Works perfect, thank you very much.
toracat

toracat

2014-07-09 17:40

manager   ~0020323

Great. Thanks for reporting back.

Issue History

Date Modified Username Field Change
2014-07-04 14:04 atar New Issue
2014-07-04 16:08 tigalch Note Added: 0020180
2014-07-04 16:08 tigalch Status new => feedback
2014-07-04 20:01 tigalch Note Added: 0020183
2014-07-04 20:01 tigalch Status feedback => assigned
2014-07-05 16:52 toracat Note Added: 0020185
2014-07-06 01:03 toracat Note Added: 0020193
2014-07-07 11:22 atar Note Added: 0020203
2014-07-07 16:29 JohnnyHughes Note Added: 0020204
2014-07-07 16:30 toracat Note Added: 0020205
2014-07-07 16:34 toracat Note Added: 0020206
2014-07-09 17:39 atar Note Added: 0020322
2014-07-09 17:40 toracat Note Added: 0020323
2014-07-09 17:41 toracat Status assigned => resolved
2014-07-09 17:41 toracat Resolution open => fixed
2014-10-20 12:14 shengvvvvv Issue cloned: 0007756